List Posts
curl --request GET \
--url https://api.fourthwall.com/open-api/v1.1/memberships/posts \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.fourthwall.com/open-api/v1.1/memberships/posts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fourthwall.com/open-api/v1.1/memberships/posts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"posts": [
{
"type": "Text",
"title": "<string>",
"liveAt": "2023-11-07T05:31:56Z",
"path": "<string>",
"access": {
"tiers": [
{
"id": 123
}
],
"price": 123
},
"notifications": {
"type": "Enabled"
},
"tags": [
{
"id": 123
}
],
"statuses": {},
"comments": {
"count": 123
},
"likes": {
"count": 123
},
"purchaseData": {
"purchasesCount": 123
},
"id": 123,
"description": "<string>",
"pinnedAt": "2023-11-07T05:31:56Z"
}
],
"pagination": {
"pages": 123,
"limit": 123,
"page": 123,
"total": 123
}
}{
"parameters": "{ \"post_id\": [ \"is missing\" ] }",
"body": "{ \"discount\": { \"percentOff\": [ \"is missing\" ] } }"
}Posts
List Posts
GET
/
open-api
/
v1.1
/
memberships
/
posts
List Posts
OAuth scope:
memberships_readAPI keys have full access to this endpoint.Authorizations
oauthbasicAuth
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
Query Parameters
Available options:
Text, Poll, Image, Audio, Video Available options:
Published, Scheduled, All ⌘I